curl --request GET \
--url https://api.agntdata.dev/v1/data/facebook/get_facebook_pages_details_from_link \
--header 'Authorization: <api-key>'import requests
url = "https://api.agntdata.dev/v1/data/facebook/get_facebook_pages_details_from_link"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.agntdata.dev/v1/data/facebook/get_facebook_pages_details_from_link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Get Facebook Page Details
This endpoint is designed to extract essential data from Facebook pages. By simply entering the page URL and clicking the βTest Endpointβ button, users can quickly gather the desired information. π° Ad Page ID, π Ad Status, π Address, π€ Bio, β° Business Hours, π° Business Price, ποΈ Business Services, π Category, π₯ Confirmed Owner Label, π Creation Date, βοΈ Email, π₯ Followers Display, πΈ Image, π Image Alt, π Likes Count, πΊοΈ Maps Address, π Phone, β Rating, π Rating Count, π·οΈ Title, π URL, π Website
Authorizations
Bearer token. Pass your agntdata API key as: Authorization: Bearer agnt_live_...
Query Parameters
Page section to scrape: default (main page) or about (About section)
Facebook profile ID. Used only if link is not provided.
Retrieve exact follower count.
FYI: This works only with public pages.
Response
Successful response
The response is of type object.